#!/bin/sh
#
# startup script 
#

APP_NAME=atom_comp

# imagine we startup in current directory as the script
parentdir="$( cd -P "$( dirname "$0" )" && pwd )"
cd $parentdir

# here is where we look for the software
p1=$HOME/Desktop/$APP_NAME/bin/$APP_NAME
p2=$HOME/proj/$APP_NAME/src/bin/$APP_NAME
p3=/Applications/$APP_NAME/bin/$APP_NAME
p4=/Applications/bdslab/$APP_NAME/bin/$APP_NAME
p5=/usr/local/bin/$APP_NAME
p6=/usr/local/bdslab/bin/$APP_NAME

# stop when we have found an executable
APP_LIST="$p1 $p2 $p3 $p4 $p5 $p6"
prog=""
for i in $APP_LIST; do
	if ( test -x $i ) then
		prog=$i
		break
	fi
done

if ( test -x $prog) then
	# start program 
	$prog &
else
	# did not find software
	echo "Cannot find $APP_NAME executable on this machine."
fi
exit
